Contents

# Scripts

To access this command...

#### From the menu bar:

Choose Tools - Macros - Organize Macros - BeanShell/Javascript/Python.

#### From the tabbed interface:

On the Tools menu of the Tools tab, choose Javascript/Beanshell/Python.

## Macros

Select a macro or script from My Macros, Application Macros, or an open document. To view the available macros or scripts, double-click an entry.

### Run

To run a script, select a script in the list, and then click Run.

### Create

Creates a new script. The default script editor opens after you enter a name for the script.

Enter a name for the script.

### Edit

Opens the default script editor for your operating system.

### Rename

Opens a dialog where you can change the name of the selected script.

### Delete

Prompts you to delete the selected script.

Related Topics

Assigning Scripts in LibreOfficeDev

Please support us!